Debian Bug report logs - #449119
gmobilemedia: Crashes at startup (traceback within)

version graph

Package: gmobilemedia; Maintainer for gmobilemedia is Michal Čihař <nijel@debian.org>; Source for gmobilemedia is src:gmobilemedia.

Reported by: Andreas Tscharner <starfire@dplanet.ch>

Date: Sat, 3 Nov 2007 10:36:02 UTC

Severity: grave

Found in version gmobilemedia/0.4+dfsg-2

Fixed in version gmobilemedia/0.4+dfsg-3

Done: Michal Čihař <nijel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#449119; Package gmobilemedia. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tscharner <starfire@dplanet.ch>:
New Bug report received and forwarded. Copy sent to Michal Čihař <nijel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tscharner <starfire@dplanet.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gmobilemedia: Crashes at startup (traceback within)
Date: Sat, 03 Nov 2007 11:32:11 +0100
Package: gmobilemedia
Version: 0.4+dfsg-2
Severity: grave
Justification: renders package unusable

When I try to startup gmobilemedia, the program crashes and gives the 
following traceback:

andy@shannara:~$ gmobilemedia 
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 550, in ?
    main(sys.argv)
  File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 546, in main
    app = mbGui()
  File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 97, in __init__
    self.folder_icon.set_property("pixbuf", load_icon("folder-normal"))
  File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 54, in load_icon
    return gtk.gdk.pixbuf_new_from_file_at_size(icon_name, 32, 32)
gobject.GError: Unrecognized image file format


I use WindowMaker and have neither gnome nor KDE. No phone was connected 
when I started the program

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages gmobilemedia depends on:
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-central                0.5.15     register and build utility for Pyt
ii  python-gammu                  0.22-3     Python module to communicate with 
ii  python-glade2                 2.12.0-1   GTK+ bindings: Glade support
ii  python-gtk2                   2.12.0-1   Python bindings for the GTK+ widge

Versions of packages gmobilemedia recommends:
pn  wammu                         <none>     (no description available)

Versions of packages python-gammu depends on:
ii  libc6                         2.6.1-6    GNU C Library: Shared libraries
ii  libgammu2                     1.13.94-1  Mobile phone management library
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-central                0.5.15     register and build utility for Pyt

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#449119; Package gmobilemedia. Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 449119@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Andreas Tscharner <starfire@dplanet.ch>, 449119@bugs.debian.org
Subject: Re: Bug#449119: gmobilemedia: Crashes at startup (traceback within)
Date: Mon, 5 Nov 2007 16:22:48 +0900
[Message part 1 (text/plain, inline)]
Hi

On Sat, 03 Nov 2007 11:32:11 +0100
Andreas Tscharner <starfire@dplanet.ch> wrote:

> Package: gmobilemedia
> Version: 0.4+dfsg-2
> Severity: grave
> Justification: renders package unusable
> 
> When I try to startup gmobilemedia, the program crashes and gives the 
> following traceback:
> 
> andy@shannara:~$ gmobilemedia 
> Traceback (most recent call last):
>   File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 550, in ?
>     main(sys.argv)
>   File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 546, in main
>     app = mbGui()
>   File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 97, in __init__
>     self.folder_icon.set_property("pixbuf", load_icon("folder-normal"))
>   File "/usr/lib/python2.4/site-packages/gmobilemedia/main.py", line 54, in load_icon
>     return gtk.gdk.pixbuf_new_from_file_at_size(icon_name, 32, 32)
> gobject.GError: Unrecognized image file format
> 
> 
> I use WindowMaker and have neither gnome nor KDE. No phone was connected 
> when I started the program

Can you try whether it will still fail when you install librsvg2-2
package? It looks like some missing dependency.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#449119; Package gmobilemedia. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tscharner <starfire@dplanet.ch>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. Full text and rfc822 format available.

Message #15 received at 449119@bugs.debian.org (full text, mbox):

From: Andreas Tscharner <starfire@dplanet.ch>
To: Michal Čihař <nijel@debian.org>
Cc: 449119@bugs.debian.org
Subject: Re: Bug#449119: gmobilemedia: Crashes at startup (traceback within)
Date: Mon, 05 Nov 2007 20:09:57 +0100
Michal Čihař wrote:
> Hi
> 

[snip]
> Can you try whether it will still fail when you install librsvg2-2
> package? It looks like some missing dependency.

Sorry, but I have already installed this package, e.g. it still fails...

Best regards
	Andreas
-- 
Andreas Tscharner                                  starfire@dplanet.ch
----------------------------------------------------------------------
"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the Universe trying
to produce bigger and better idiots. So far, the Universe is winning."
                                                          -- Rich Cook




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#449119; Package gmobilemedia. Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 449119@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Andreas Tscharner <starfire@dplanet.ch>, 449119@bugs.debian.org
Subject: Re: Bug#449119: gmobilemedia: Crashes at startup (traceback within)
Date: Tue, 6 Nov 2007 11:58:46 +0900
[Message part 1 (text/plain, inline)]
Hi

On Mon, 05 Nov 2007 20:09:57 +0100
Andreas Tscharner <starfire@dplanet.ch> wrote:

> Sorry, but I have already installed this package, e.g. it still fails...

Installing gnome-icon-theme should fix this, I'm going to upload
package as soon as uploads are open.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#449119; Package gmobilemedia. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tscharner <starfire@dplanet.ch>:
Extra info received and forwarded to list. Copy sent to Michal Čihař <nijel@debian.org>. Full text and rfc822 format available.

Message #25 received at 449119@bugs.debian.org (full text, mbox):

From: Andreas Tscharner <starfire@dplanet.ch>
To: Michal Čihař <nijel@debian.org>
Cc: 449119@bugs.debian.org
Subject: Re: Bug#449119: gmobilemedia: Crashes at startup (traceback within)
Date: Tue, 06 Nov 2007 20:13:54 +0100
Michal Čihař wrote:
> Hi
> 
> On Mon, 05 Nov 2007 20:09:57 +0100
> Andreas Tscharner <starfire@dplanet.ch> wrote:
> 
>> Sorry, but I have already installed this package, e.g. it still fails...
> 
> Installing gnome-icon-theme should fix this, I'm going to upload
> package as soon as uploads are open.

Yes, this does the trick. Thank you...

Best regards
	Andreas
-- 
Andreas Tscharner                                  starfire@dplanet.ch
----------------------------------------------------------------------
"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the Universe trying
to produce bigger and better idiots. So far, the Universe is winning."
                                                          -- Rich Cook




Tags added: pending Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 03:09:02 GMT) Full text and rfc822 format available.

Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tscharner <starfire@dplanet.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 449119-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 449119-close@bugs.debian.org
Subject: Bug#449119: fixed in gmobilemedia 0.4+dfsg-3
Date: Mon, 12 Nov 2007 06:47:06 +0000
Source: gmobilemedia
Source-Version: 0.4+dfsg-3

We believe that the bug you reported is fixed in the latest version of
gmobilemedia, which is due to be installed in the Debian FTP archive:

gmobilemedia_0.4+dfsg-3.diff.gz
  to pool/main/g/gmobilemedia/gmobilemedia_0.4+dfsg-3.diff.gz
gmobilemedia_0.4+dfsg-3.dsc
  to pool/main/g/gmobilemedia/gmobilemedia_0.4+dfsg-3.dsc
gmobilemedia_0.4+dfsg-3_all.deb
  to pool/main/g/gmobilemedia/gmobilemedia_0.4+dfsg-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated gmobilemedia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 06 Nov 2007 11:48:50 +0900
Source: gmobilemedia
Binary: gmobilemedia
Architecture: source all
Version: 0.4+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 gmobilemedia - GTK application used to browse a mobile phone filesystem
Closes: 449119
Changes: 
 gmobilemedia (0.4+dfsg-3) unstable; urgency=low
 .
   * Use new Homepage field.
   * Convert XS-Vcs fields to Vcs.
   * Add missing dependency on gnome-icon-theme (Closes: #449119).
Files: 
 43a22b13979470e0ea1fe11a31f8579a 838 comm optional gmobilemedia_0.4+dfsg-3.dsc
 c686882e068c22d8d419e096c8f5c9e5 4773 comm optional gmobilemedia_0.4+dfsg-3.diff.gz
 e05a1b05468c659b18b0a01e63d4a2f6 116540 comm optional gmobilemedia_0.4+dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHL9bp3DVS6DbnVgQRAoTcAJsFSTDaf3vPl1xGOFKf1rXyCinxkQCgqWwb
UNTLm2c3ps23JIwRTIfhhXE=
=qo/o
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Dec 2007 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:53:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.